if not status is-interactive
	exit
end

function ls --wraps=lsd --description 'alias ls lsd'
    lsd $argv
end

function vim --wraps=nvim --description 'alias vim nvim'
    nvim $argv
end

function hibernate --wraps='systemctl hibernate' --description 'alias vim nvim'
    systemctl hibernate $argv
end

bind alt-s 're-sudo'

abbr sD 'stow -vD'
abbr sS 'stow -vS'
abbr i 'yay -S'
abbr r 'yay -Rnscu'
abbr gd 'git diff'
abbr ga 'git add'
abbr gcm 'git commit -m ""'
abbr gp 'git push'
